<html lang="en">
<head>
<title>Customizing - Speedbar: File/Tag summarizing utility</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Speedbar: File/Tag summarizing utility">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="prev" href="Minor-Modes.html#Minor-Modes" title="Minor Modes">
<link rel="next" href="Extending.html#Extending" title="Extending">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Customizing"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Extending.html#Extending">Extending</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Minor-Modes.html#Minor-Modes">Minor Modes</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h2 class="chapter">6 Customizing</h2>

<p><a name="index-customizing-28"></a>
Speedbar is highly customizable, with a plethora of control elements. 
Since speedbar is so visual and reduces so much information, this is an
important aspect of its behavior.

   <p>In general, there are three custom groups you can use to quickly modify
speedbar's behavior.

     <dl>
<dt><code>speedbar</code><dd>Basic speedbar behaviors. 
<br><dt><code>speedbar-vc</code><dd>Customizations regarding version control handling. 
<br><dt><code>speedbar-faces</code><dd>Customize speedbar's many colors and fonts. 
</dl>

<ul class="menu">
<li><a accesskey="1" href="Frames-and-Faces.html#Frames-and-Faces">Frames and Faces</a>:         Visible behaviors. 
<li><a accesskey="2" href="Tag-Hierarchy-Methods.html#Tag-Hierarchy-Methods">Tag Hierarchy Methods</a>:    Customizing how tags are displayed. 
<li><a accesskey="3" href="Version-Control.html#Version-Control">Version Control</a>:          Adding new VC detection modes. 
<li><a accesskey="4" href="Hooks.html#Hooks">Hooks</a>:                    The many hooks you can use. 
</ul>

   </body></html>

